import { Request, Response } from 'express'

export abstract class BaseController {
  protected sendSuccess(res: Response, data?: any, message?: string, status: number = 200) {
    return res.status(status).json({
      success: true,
      message,
      data
    })
  }

  protected sendError(res: Response, message: string, status: number = 400) {
    return res.status(status).json({
      success: false,
      message
    })
  }
}
